跳至正文

坏消息:巨魔商店开发者透露TrollStore可能无法支持iOS 18

苹果公司在即将到来的 iOS 18iPadOS 18 系统更新中继续加强了 iPhoneiPad 的安全性。作为一家领先的科技公司,苹果在防范黑客入侵方面处于领先地位,目前还没有公开的越狱工具能够破解采用A12及更高芯片的64位ARM设备运行 iOS 17 系统。因此,苹果在 iOS 18 系统中加入了更多安全防护措施。

近日,TrollInstallerX 项目主要开发者和 TrollStore 2.0 联合开发者 @alfiecg_dev 在 X(原Twitter) 上发文透露,iOS 18 引入了一项新的安全功能,即非 root 权限的二进制文件无法再启动具有 root 权限的二进制文件。这意味着即使发现新的 CoreTrust 漏洞,TrollStore 也不太可能支持 iOS 18 系统。他的原话是:

“iOS 18 似乎引入了一个新的安全功能,意味着非 root 权限的任意二进制文件都无法启动 root 权限的二进制文件。这意味着即使发现了新的 CoreTrust 漏洞,TrollStore 也不太可能支持 iOS 18。”

综上所述,TrollStore 这一永久签名工具不太可能更新来支持 iOS 18 及更高版本系统。

一直以来,TrollStore 被用作在 iPhone 和 iPad上 安装.ipa或.tipa文件的方式,无需通过App Store或者侧载的方式。使用TrollStore安装的应用程序将永久保留签名,不需要使用Apple ID签名,而像AltStore和Sideloadly这样的侧载方式仍然可以在iOS 18上使用。

虽然这确实是个坏消息,但 TrollStore 经历了一段辉煌岁月,目前在 iOS 16 及更低版本上依然广泛使用(甚至在iOS 17.0上也可以使用,对于那些在17.0停止签名之前安装的少数幸运儿)。TrollStore 利用的 CoreTrust 漏洞赋予了特殊权限,结合一个良好的内核漏洞,使得像 Serotonin 这样的”半越狱”工具成为可能。

由于我们仍在等待支持 iOS 17 设备(除 checkm8 设备外)的越狱工具,所以 iOS 18 的越狱工具似乎短时间内不会出现。我们能给那些期待越狱的人的最佳建议是,保持在最低的固件版本上,避免更新,因为每一次更新似乎都会使越狱变得更加困难。

你是否对 TrollStore 可能无法支持 iOS 18 设备感到失望?欢迎在下方评论区留言交流你的想法。

推荐阅读

这篇文章有用吗?

点击星号为它评分!

平均评分 0 / 5. 投票数: 0

到目前为止还没有投票!成为第一位评论此文章。

发表回复

您的电子邮箱地址不会被公开。 必填项已用 * 标注